Bug 469052 - Review Request: ris-linux - RIS for Linux - Boot winpe from the net / Ris Windows Installation
Review Request: ris-linux - RIS for Linux - Boot winpe from the net / Ris Win...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 13:44 EDT by Jeroen van Meeuwen
Modified: 2009-04-06 16:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 16:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-10-29 13:44:17 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/ris-linux.spec
SRPM URL: http://www.kanarip.com/custom/f9/SRPMS/ris-linux-0.4-1.fc9.src.rpm
Description: RIS for Linux - Boot winpe from the net / Ris Windows Installation

rpmlint silent

koji scratch builds:

- dist-f8-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=910933
- dist-f9-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=910935
- dist-f10-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=910937
- dist-f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=910939
Comment 1 Itamar Reis Peixoto 2008-11-02 16:35:51 EST
1 - please fix macros.

replace
%{_sysconfdir}/init.d/
with
%{_initrddir} 

more info here.

https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros

2 - improve scriptlets

https://fedoraproject.org/wiki/Packaging/Guidelines#Running_scriptlets_only_in_certain_situations

http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

also when a more experienced user look your spec, he will ask to use install -p to preserve timestamps :-)
Comment 2 Jeroen van Meeuwen 2008-11-02 19:27:38 EST
(In reply to comment #1)
> 1 - please fix macros.
> 
> replace
> %{_sysconfdir}/init.d/
> with
> %{_initrddir} 
> 

Fixed.

> 2 - improve scriptlets
> 
> https://fedoraproject.org/wiki/Packaging/Guidelines#Running_scriptlets_only_in_certain_situations
> 
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
> 

Fixed.

> also when a more experienced user look your spec, he will ask to use install -p
> to preserve timestamps :-)

Fixed.

New SPEC: http://www.kanarip.com/custom/SPECS/ris-linux.spec
New SRPM: http://www.kanarip.com/custom/f9/SRPMS/ris-linux-0.4-2.fc9.src.rpm
Comment 3 Jeroen van Meeuwen 2008-12-05 08:30:01 EST
Fixed some other issues with the package:

New SPEC: http://www.kanarip.com/custom/SPECS/ris-linux.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/ris-linux-0.4-3.fc10.src.rpm
Comment 4 Jason Tibbitts 2009-01-12 18:01:50 EST
As promised....
Comment 5 Jason Tibbitts 2009-01-12 22:56:55 EST
Could you define "WinPE" in your %description?  Just a parenthetical "Windows Preinstallation Environment" should be sufficient.  Also, it needs a period at the end.

You're missing Requires(preun): initscripts, and also a python dependency for your %post script.

Does it make sense to include the sample .sif files?  What about the manual from the upstream web site (http://oss.netfarm.it/guides/ris-linux.pdf)?

This package is a little odd in that it installs as a service, but doesn't actually put any executables in %path.  There isn't anything in the guidelines that would prohibit this as far as I can tell, but it seems a little admin-unfriendly.  I don't know what to do about it; maybe a wrapper script that just calls "python /usr/share/ris-linux/binlsrv.py".  But I'll leave that up to you.

* source files match upstream.  sha256sum:
   196c7441f498154d1ae41ef4f1e5107296b7de39f345c763ccce2e913432ae19  
   ris-linux-0.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
X description could use a bit of work
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   config(ris-linux) = 0.4-3.fc11
   ris-linux = 0.4-3.fc11
  =
   /bin/sh
   /usr/bin/env
   chkconfig
   config(ris-linux) = 0.4-3.fc11
   initscripts
   python(abi) >= 2.1
   samba
   tftp-server

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
X scriptlet dependencies are off.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 6 Jeroen van Meeuwen 2009-01-14 07:53:01 EST
(In reply to comment #5)
> Could you define "WinPE" in your %description?  Just a parenthetical "Windows
> Preinstallation Environment" should be sufficient.  Also, it needs a period at
> the end.
> 

Fixed.

> You're missing Requires(preun): initscripts, and also a python dependency for
> your %post script.
> 

Fixed.

> Does it make sense to include the sample .sif files?  What about the manual
> from the upstream web site (http://oss.netfarm.it/guides/ris-linux.pdf)?
> 

I've included the sample .sif file, although I'm reluctant to say it's good enough.

The upstream .pdf documentation though I'm not including. Other documentation is in the works that includes using Cobbler to manage the largest part of what is in the upstream documentation, and I'd rather set the record straight then whilst not confusing users of the package now (like with patching in.tftpd).

> This package is a little odd in that it installs as a service, but doesn't
> actually put any executables in %path.  There isn't anything in the guidelines
> that would prohibit this as far as I can tell, but it seems a little
> admin-unfriendly.  I don't know what to do about it; maybe a wrapper script
> that just calls "python /usr/share/ris-linux/binlsrv.py".  But I'll leave that
> up to you.
> 

Fixed, and actually works way better for "service ris-linuxd status". Maybe this should be a Packaging Guidelines? ;-)

New SPEC: http://www.kanarip.com/custom/SPECS/ris-linux.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/ris-linux-0.4-4.fc10.src.rpm
Comment 7 Jason Tibbitts 2009-01-15 20:50:31 EST
Looks good to me.  No big deal if you don't want to include the PDF docs; I didn't actually verify that they were useful.  This seems a useful thing to be able to do and I hope that at some point there's some reasonable documentation explaining the procedure.

APPROVED
Comment 8 Jeroen van Meeuwen 2009-01-17 09:48:40 EST
Thanks, I owe you a beverage of your choice ;-)

New Package CVS Request
=======================
Package Name: ris-linux
Short Description: RIS for Linux - Boot winpe from the net / Ris Windows Installation
Owners: kanarip
Branches: EL-4 EL-5 F9 F-10
InitialCC: kanarip
Comment 9 Kevin Fenzi 2009-01-18 17:32:11 EST
cvs done.
Comment 10 Fedora Update System 2009-01-23 21:37:31 EST
ris-linux-0.4-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ris-linux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0904
Comment 11 Fedora Update System 2009-01-23 21:38:37 EST
ris-linux-0.4-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ris-linux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0913
Comment 12 Fedora Update System 2009-04-06 16:23:02 EDT
ris-linux-0.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-04-06 16:27:47 EDT
ris-linux-0.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.